package intrinsic.mx.effects;

public class Tween extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public intrinsic.Function easingFunction;
	public double playheadTime;
	public boolean playReversed;

	/** Variables */
	public Object listener;
	public boolean needToLayout;
	public double duration;
	public double startTime;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */
	public static double intervalTime;
	public static intrinsic.Array activeTweens;

/** Contructors */
public Tween() {
}

public Tween(Object arg0, Object arg1, Object arg2) {
}

public Tween(Object arg0, Object arg1, Object arg2, double arg3) {
}

public Tween(Object arg0, Object arg1, Object arg2, double arg3, double arg4) {
}

public Tween(Object arg0, Object arg1, Object arg2, double arg3, double arg4, intrinsic.Function arg5) {
}

public Tween(Object arg0, Object arg1, Object arg2, double arg3, double arg4, intrinsic.Function arg5, intrinsic.Function arg6) {
}


/** Static Methods */
public static native void removeTween(intrinsic.mx.effects.Tween arg0);

/** Methods */
public native void resume();
public native void setTweenHandlers(intrinsic.Function arg0, intrinsic.Function arg1);
public native Object getCurrentValue(double arg0);
public native boolean doInterval();
public native void seek(double arg0);
public native void reverse();
public native void pause();
public native void stop();
public native void endTween();

}
